package com.zd.laboratory.onemachine.domain;

import com.zd.common.core.web.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * Controller
 *
 * @author cyl
 * @date 2021/12/7
 */
@ApiModel("apk上传文件类")
public class ApkUpload extends BaseEntity {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("apk上传文件id")
    private Long id;

    @ApiModelProperty("apk名称")
    private String apkName;

    @ApiModelProperty("apk上传文件地址")
    private String apkFileUpload;

    @ApiModelProperty("apk版本号")
    private String version;

    @ApiModelProperty("apk版本名称")
    private String versionName;

    @ApiModelProperty("1是一体机2学习内容")
    private Integer onepcType;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getApkName() {
        return apkName;
    }

    public void setApkName(String apkName) {
        this.apkName = apkName;
    }

    public String getApkFileUpload() {
        return apkFileUpload;
    }

    public void setApkFileUpload(String apkFileUpload) {
        this.apkFileUpload = apkFileUpload;
    }

    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }

    public String getVersionName() {
        return versionName;
    }

    public void setVersionName(String versionName) {
        this.versionName = versionName;
    }

    public Integer getOnepcType() {
        return onepcType;
    }

    public void setOnepcType(Integer onepcType) {
        this.onepcType = onepcType;
    }
}
